Subject: bug#17840: [PATCH] libtool: Use 'file' instead of '/usr/bin/file' on GNU systems.

From: Sam James <[email-masked]>
Date: Wed, 28 Sep 2022 21:29:01 +0100

> On 28 Sep 2022, at 14:34, Felix Lechner via Bug-libtool via Bug reports for the GNU libtool shared library maintenance tool <[email-masked]> wrote:
> 
> Hi,
> 
>> there are a number of different 'file' programs and libtool expects
>> particular output from the 'file' program that it uses.
> 
> I only have one kind of 'file' program installed, and Libtool cannot find it.
> 
> Developing on Guix—which is a GNU project like Libtool—I hope to
> migrate the authentication logic in Linux PAM to Guile (another GNU
> project). I presently use Autotools and Libtool. [1] When running
> './configure' I get the error:
> 
>    ./configure: line 6750: /usr/bin/file: No such file or directory

Which version of libtool? Can you share the header of the configure script too?

See also https://git.savannah.gnu.org/cgit/libtool.git/commit/?id=da2e352735722917bf0786284411262195a6a3f6
which landed in 2.4.7. Note that configure scripts must be regenerated using a newer libtool to use this.

(See also the far older https://lists.gnu.org/archive/html/bug-libtool/2014-06/msg00005.html but I don't
think that landed at a very quick glance).

Best,
sam